---

resolved_local_domains_nameservers:
  - 127.0.0.1

resolved_local_domains:
  - extranet.prologin.org
  - clients.prologin.dev

bind_dnssec_enable: false # mandatory to make it work on debian>11
bind_listen_ipv6: []
bind_listen_ipv6_port: []
bind_listen_ipv4:
  - 127.0.0.1
  - 100.80.1.20
bind_allow_query:
  - 127.0.0.0/8
  - 100.80.0.0/14 # Extranet subnet
  - 10.201.0.0/16 # EPITA PIE Service Zone (Forge)
  - 10.202.0.0/16 # EPITA PIE Clients Machines

bind_recursion: true
bind_allow_recursion: "{{ bind_allow_query }}"
bind_forwarders:
  - 1.1.1.1
  - 1.0.0.1

bind_zones:
  - name: extranet.prologin.org
    create_reverse_zones: false
    primaries:
      - 100.80.1.20
    name_servers:
      - services
    hosts:
      - name: services
        ip: "100.80.1.20"
        aliases:
          - ldap
          - kdc
          - salt
          - filer
      - name: afs-0
        ip: "10.201.13.88"
      - name: fw-extranet.th2.hxg
        ip: "100.80.1.254"
        aliases:
          - fw-extranet

  - name: clients.prologin.dev
    create_reverse_zones: false
    primaries:
      - 100.80.1.20
    name_servers:
      - services.extranet.prologin.org.
    hosts:
      - name: fw-extranet.th2.hxg
        ip: "100.80.90.254"
        aliases:
          - fw-extranet
  - name: pie.cri.epita.fr
    forwarders: ['10.201.5.53']
  - name: pie.forge.epita.fr
    forwarders: ['10.201.5.53']
